xchat-gnome (1:0.30.0~git20141005.816798-0ubuntu6) vivid; urgency=medium

  * debian/patches/git_enable_nls.patch: define the nls variable which is
    required for the translations setup, that way the domain is correctly set

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 18 Nov 2014 10:29:53 +0100

xchat-gnome (1:0.30.0~git20141005.816798-0ubuntu5) vivid; urgency=medium

  * debian/patches/load_plugins_without_autoconnect.patch: when not
    automatically connecting to a server at startup, initialize the plugin
    list before displaying the server dialog.
  * debian/patches/migrate_to_gsettings.patch: updated to fix segfault on
    shutdown.
  * debian/patches/sync_servers_from_hexchat.patch: Sync server list with
    hexchat as it's up-to-date.
  * debian/patches/101-Sync-in-servers-from-xchat.patch: removed.
  * debian/patches/102-Drop-IPV6-servers.patch: removed.
  * debian/patches/103-Add-chillfactory-irc-servers.patch: removed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 Nov 2014 15:42:35 -0500

xchat-gnome (1:0.30.0~git20141005.816798-0ubuntu4) vivid; urgency=medium

  * debian/patches/migrate_to_gsettings.patch: updated to remove GObject
    warnings, and properly setup the color preferences page.
  * debian/patches/fix_glade_warnings.patch: fix some warnings when loading
    the glade file.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 14 Nov 2014 15:28:11 -0500

xchat-gnome (1:0.30.0~git20141005.816798-0ubuntu3) vivid; urgency=medium

  * debian/patches/fix_window_scrolling.patch: updated to also fix window
    scrolling when autojoining channels.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Nov 2014 00:38:07 -0500

xchat-gnome (1:0.30.0~git20141005.816798-0ubuntu2) vivid; urgency=medium

  * debian/patches/migrate_to_gsettings.patch: Migrate to GSettings.
  * debian/xchat-gnome-common.install: don't install /etc.
  * debian/patches/105-Use-u-instead-of-s.patch: removed, no longer needed.
  * debian/control*: remove libgconf2-dev and libsexy-dev Build-Depends.
  * debian/patches/add_spell_checking.patch: updated to use proper include
    locations.
  * debian/patches/hide_find_bar.patch: don't display the find bar when
    window first comes up.
  * debian/patches/fix_autojoin_toggle.patch: fix the auto-join on connect
    toggle.
  * debian/rules/xchat-gnome.gconf-defaults: removed.
  * debian/rules/xchat-gnome.gsettings-override: added override file.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 12 Nov 2014 14:44:26 -0500

xchat-gnome (1:0.30.0~git20141005.816798-0ubuntu1) vivid; urgency=medium

  * Updated to git snapshot from 20141005 and merge in changes up to
    1:0.30.0~git20131003.d20b8d+really20110821-0.2ubuntu14
    - debian/patches/dont_force_sslv3.patch: use SSLv23_client_method() so
      the best method gets automatically negotiated in src/common/ssl.c.
    - debian/patches/perl5.20.patch: link perl-testing program with
      libperl, keeping perl binding when built with perl 5.20
    - debian/patches/111-increase-channel-limit.patch: updated for new
      snapshot
    - debian/patches/120-fix-clipboard-segfault.patch: removed, upstream
    - debian/patches/define_functions_fix_build.patch: removed, upstream
    - debian/control.*: added libyelp-dev and yelp-tools to Build-Depends
  * debian/patches/fix_window_scrolling.patch: fix window scrolling
    position when switching channels in src/fe-gnome/xtext.c.
  * debian/patches/dont_assert_on_exit.patch: remove unneeded call
    resulting in assert on exit in src/fe-gnome/xtext.c.
  * debian/patches/fix_topic_expander.patch: properly calculate if the
    topic expander should be visible in src/fe-gnome/topic-label.c.
  * debian/patches/setup_dialog_width.patch: set a reasonable width for the
    initial setup dialog in data/setup-dialog.glade.
  * debian/patches/add_spell_checking.patch: add spell checking back by
    adding a port of libsexy to src/fe-gnome/Makefile.am,
    src/fe-gnome/sexy-spell-entry.*, src/fe-gnome/text-entry.*,
    src/fe-gnome/sexy-marshal.list,
    src/fe-gnome/preferences-page-spellcheck.c.
  * debian/patches/04_no_spellcheck.patch: removed, now that spell check is
    back.
  * debian/patches/fix_setup_dialog_sensitive.patch: don't try to set the
    button sensitivity before it exists in src/fe-gnome/setup-dialog.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 10 Nov 2014 11:14:43 -0500

xchat-gnome (1:0.30.0~git20131003.d20b8d-2ubuntu1) trusty; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - debian/control:
      - Recommend xchat-gnome-indicator to get Unity integration
    - debian/xchat-gnome.gconf-defaults: Set the default enabled plugins,
      indicator, netmonitor, and notifyosd.
    - debian/rules: update the xchat-gnome-common binary-install target to not
      keep a duplicate copy of the xchat-gnome.desktop file.
    - debian/patches/02_lpi.patch: add Launchpad integration items to the
      help menu
    - debian/patches/04_autojoin_ubuntu_chan.patch: add the Ubuntu network
      as default selection and default to autojoining #ubuntu.
    - debian/patches/20_add_gui_focus.patch: implement GUI focus from XChat.
    - debian/patches/51_freenode_default_port_8001.patch: Drop ports 666x
      for FreeNode to workaround a possible DCC exploit.
    - debian/patches/95_apturl-support.patch: support apt://-urls.
    - debian/patches/10_xchat-gnome-close-event.patch: add events for
      window close.
    - debian/patches/100-Zero-out-passwords-upon-exit.patch: Cherrypicked
      from xchat tree
    - debian/patches/101-Sync-in-servers-from-xchat.patch: From xchat
      upstream
    - debian/patches/102-Drop-IPV6-servers.patch: Cherrypicked from xchat
      tree (LP: #127616)
    - debian/patches/103-Add-chillfactory-irc-servers.patch: From xchat
      Debian
    - debian/patches/104-Don-t-crash-if-servlist-is-undefined.patch:
      Cherrypicked from xchat tree
    - debian/patches/105-Use-u-instead-of-s.patch: Cherrypicked from xchat
      tree
    - debian/patches/106-ensure-an-empty-string-at-index-32-for-cmd_deop-etc.patch:
      Cherrypicked from xchat tree
    - debian/patches/107-fix-permissions-on-creating-files.patch:
      Cherrypicked from xchat tree
    - debian/patches/108-userlist-default-width.patch: make sure the userlist
      in the main window has a reasonable width by default.
    - debian/patches/109-use-scrollback-timestamps.patch: use actual
      timestamps when loading scrollback files.
    - debian/patches/110-fix-fd-leak.patch: fix a file handle leak.
    - debian/patches/111-increase-channel-limit.patch: port code from
      xchat to remove the limitation on the number of autojoin channels.
    - debian/patches/115-fix-network-editor.patch: Fix network editor in
      preferences.
    - debian/patches/116-remove-amiganet.patch: Remove defunct irc network.
    - debian/patches/117-fix-net-monitor-segfault.patch: fix segfault in
      the net monitor plugin.
    - debian/patches/118-fix-net-monitor-reconnect.patch: correctly reconnect
      after suspend and resume.
    - Use dh-autoreconf & force update (acient) intltool.
    - debian/patches/00git_remember_window_maximise.patch: Correctly restore
      maximized window state
    - debian/patches/119-fix-null-channel-list-window.patch: fix "(null)"
      server name in channel list window. (LP: #903025)
  * Drop 109-use-scrollback-timestamps.patch, 110-fix-fd-leak.patch, 
    115-fix-network-editor.patch, 116-remove-amiganet.patch, link.diff
    fixed upstream
  * debian/rules: drop autoreconf.mk in favour of using autogen.sh as
    the configure script. Fixes FTBFS

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 12 Jan 2014 11:50:13 +1100

xchat-gnome (1:0.30.0~git20131003.d20b8d-2) unstable; urgency=low

  * 01_finish_gtk3_port.patch: new patch. Imported from BZ#677043, 
    contains the missing pieces of the GTK3 port.
  * 02_bring_back_completion.patch: reverts unwarranted upstream changes 
    that remove entirely tab completion.
  * 03_scroll_wheel.patch: new patch. Let scroll events be received by 
    the widget.
  * 04_no_spellcheck.patch: disable the spellcheck preferences page 
    instead of showing a bogus message.

 -- Josselin Mouette <joss@debian.org>  Sat, 26 Oct 2013 22:08:18 +0200

xchat-gnome (1:0.30.0~git20131003.d20b8d-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Don't ship .desktop in -common, fixes lintian warning
  * Bump debhelper compatibility level to 8.
    - Strip debian/tmp/ from .install files.
    - Bump Build-Depends on debhelper.
  * Bump Standards-Version to 3.9.2
  * debian/control.in:
    - Removed duplicate intltool build-dep.
  * debian/watch: Track .xz tarballs

  [ Loïc Minier ]
  * watch: properly handle variable major.minor in URL; still no 3.0 tarballs
    there though.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Build depend on tcl-dev instead of tcl8.4-dev. Closes: #706140.

  [ Andreas Henriksson ]
  * New upstream git snapshot
  * debian/control.in: Update build-dependencies for upstream Gtk+ 3.x port.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 03 Oct 2013 23:51:30 +0200

xchat-gnome (1:0.30.0~git20110821.e2a400-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patches 120-fix-clipboard-segfault.patch and
    define_functions_fix_build.patch from Ubuntu fixing FTBFS
    (Closes: 713734)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 15 Aug 2013 22:12:00 +0200

xchat-gnome (1:0.30.0~git20110821.e2a400-0.2ubuntu12) trusty; urgency=medium

  * No-change rebuild for Tcl 8.6.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Jan 2014 20:26:36 +0100

xchat-gnome (1:0.30.0~git20110821.e2a400-0.2ubuntu11) trusty; urgency=medium

  * Use dh-autoreconf & force update (acient) intltool.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 25 Dec 2013 22:59:05 +0000

xchat-gnome (1:0.30.0~git20110821.e2a400-0.2ubuntu10) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 13:47:08 +0100

xchat-gnome (1:0.30.0~git20110821.e2a400-0.2ubuntu9) saucy; urgency=low

  * define_functions_fix_build.patch: 
    - fix build due to missing prototype warnings

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Jun 2013 17:20:00 +0200

xchat-gnome (1:0.30.0~git20110821.e2a400-0.2ubuntu8) raring; urgency=low

  * Build using Tcl 8.5. LP: #1155269.
  * Fix build failure, not linking gmodule.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2013 13:58:35 -0700

xchat-gnome (1:0.30.0~git20110821.e2a400-0.2ubuntu7) quantal; urgency=low

  * debian/patches/120-fix-clipboard-segfault.patch: Don't set the
    CLIPBOARD buffer when selecting text. CLIPBOARD should only be used
    when specifically selecting copy from a context menu. This may also
    have the side effect of fixing the common but hard to reproduce
    clipboard segfault. (LP: #844003)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 Aug 2012 11:58:38 -0400

xchat-gnome (1:0.30.0~git20110821.e2a400-0.2ubuntu6) quantal; urgency=low

  * debian/patches/00git_remember_window_maximise.patch
    - Correctly restore maximized window state (LP: #1016292)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 22 Jun 2012 11:03:55 +1200

xchat-gnome (1:0.30.0~git20110821.e2a400-0.2ubuntu5) quantal; urgency=low

  * debian/control:
    - Use standards version 3.9.3
    - Drop dependency on liblaunchpad-integration-dev
  * debian/patches/02_lpi.patch:
    - Dropped, we no longer do Launchpad integration

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 15 May 2012 09:56:42 +1200

xchat-gnome (1:0.30.0~git20110821.e2a400-0.2ubuntu4) precise; urgency=low

  * debian/patches/119-fix-null-channel-list-window.patch: fix "(null)"
    server name in channel list window. (LP: #903025)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Dec 2011 22:49:38 -0500

xchat-gnome (1:0.30.0~git20110821.e2a400-0.2ubuntu3) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:31:20 -0700

xchat-gnome (1:0.30.0~git20110821.e2a400-0.2ubuntu2) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Nov 2011 23:40:04 +0000

xchat-gnome (1:0.30.0~git20110821.e2a400-0.2ubuntu1) precise; urgency=low

  * Merge with Debian testing, remaining changes:
    - debian/control:
      - add Build-Depends on liblaunchpad-integration-dev.
      - Recommend xchat-gnome-indicator to get Unity integration
      - add Replaces: to xchat-gnome for xchat-gnome-common, due to the
        move of xchat-gnome.desktop
      - remove duplicate entry in Build-Depends for intltool.
    - debian/xchat-gnome.gconf-defaults: Set the default enabled plugins,
      indicator, netmonitor, and notifyosd.
    - debian/xchat-gnome.install: also install the xchat-gnome.desktop file
      from /usr/share/applications in xchat-gnome rather than
      xchat-gnome-common.
    - debian/rules: update the xchat-gnome-common binary-install target to not
      keep a duplicate copy of the xchat-gnome.desktop file.
    - debian/patches/02_lpi.patch: add Launchpad integration items to the
      help menu
    - debian/patches/04_autojoin_ubuntu_chan.patch: add the Ubuntu network
      as default selection and default to autojoining #ubuntu.
    - debian/patches/20_add_gui_focus.patch: implement GUI focus from XChat.
    - debian/patches/51_freenode_default_port_8001.patch: Drop ports 666x
      for FreeNode to workaround a possible DCC exploit.
    - debian/patches/95_apturl-support.patch: support apt://-urls.
    - debian/patches/10_xchat-gnome-close-event.patch: add events for
      window close.
    - debian/patches/100-Zero-out-passwords-upon-exit.patch: Cherrypicked
      from xchat tree
    - debian/patches/101-Sync-in-servers-from-xchat.patch: From xchat
      upstream
    - debian/patches/102-Drop-IPV6-servers.patch: Cherrypicked from xchat
      tree (LP: #127616)
    - debian/patches/103-Add-chillfactory-irc-servers.patch: From xchat
      Debian
    - debian/patches/104-Don-t-crash-if-servlist-is-undefined.patch:
      Cherrypicked from xchat tree
    - debian/patches/105-Use-u-instead-of-s.patch: Cherrypicked from xchat
      tree
    - debian/patches/106-ensure-an-empty-string-at-index-32-for-cmd_deop-etc.patch:
      Cherrypicked from xchat tree
    - debian/patches/107-fix-permissions-on-creating-files.patch:
      Cherrypicked from xchat tree
    - debian/patches/108-userlist-default-width.patch: make sure the userlist
      in the main window has a reasonable width by default.
    - debian/patches/109-use-scrollback-timestamps.patch: use actual
      timestamps when loading scrollback files.
    - debian/patches/110-fix-fd-leak.patch: fix a file handle leak.
    - debian/patches/111-increase-channel-limit.patch: port code from
      xchat to remove the limitation on the number of autojoin channels.
    - debian/patches/115-fix-network-editor.patch: Fix network editor in
      preferences.
    - debian/patches/116-remove-amiganet.patch: Remove defunct irc network.
    - debian/patches/117-fix-net-monitor-segfault.patch: fix segfault in
      the net monitor plugin.
    - debian/patches/118-fix-net-monitor-reconnect.patch: correctly reconnect
      after suspend and resume.
  * Dropped patches:
    - debian/patches/53_new_nm_api.patch: upstream
    - debian/patches/52_no_zero_width_pixmaps.patch: upstream
    - debian/patches/112-fix-empty-connect-dialog.patch: upstream
    - debian/patches/113-correctly-free-items.patch: upstream
    - debian/patches/114-fix-background-pixmap-depth.patch: upstream

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sun, 13 Nov 2011 16:24:45 -0500

xchat-gnome (1:0.30.0~git20110821.e2a400-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * Urgency still high, for RC bug fix in previous upload.
  * Really bump libnotify-dev B-Dep version.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Thu, 25 Aug 2011 00:11:23 +0700

xchat-gnome (1:0.30.0~git20110821.e2a400-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream git snapshot.
    + Fix empty & non-functional connect & dcc dialogs Closes: #627711.
    + Urgency high to fix long-lasting RC bug in testing.
  * Drop all patches according to new upstream:
    + 01_link_libice.patch: merged upstream.
    + 02_libnotify_compat.patch: no longer needed.
    + 03_dcc_window.patch: fixed differently upstream.
  * Bump libnotify-dev B-Dep to (>= 0.7) as required by new upstream.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 21 Aug 2011 11:15:21 +0700

xchat-gnome (1:0.30.0~git20100421.29cc76-1ubuntu8) oneiric; urgency=low

  * debian/patches/117-fix-net-monitor-segfault.patch: fix segfault in
    the net monitor plugin. (LP: #851058)
  * debian/patches/118-fix-net-monitor-reconnect.patch: correctly reconnect
    after suspend and resume. (LP: #855853)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 24 Sep 2011 12:31:58 -0400

xchat-gnome (1:0.30.0~git20100421.29cc76-1ubuntu7) oneiric; urgency=low

  * debian/patches/115-fix-network-editor.patch: Fix network editor in
    preferences. (LP: #830756, LP: #811062)
  * debian/patches/116-remove-amiganet.patch: Remove defunct irc network.
    (LP: #848750)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 14 Sep 2011 06:01:39 -0400

xchat-gnome (1:0.30.0~git20100421.29cc76-1ubuntu6) oneiric; urgency=low

  * debian/patches/111-increase-channel-limit.patch: port code from
    xchat to remove the limitation on the number of autojoin channels.
    (LP: #751925)
  * debian/patches/112-fix-empty-connect-dialog.patch: Fix empty connect
    and dcc dialogs. (LP: #842434)
  * debian/patches/03_dcc_window.patch: removed, superseded by
    112-fix-empty-connect-dialog.patch.
  * debian/patches/113-correctly-free-items.patch: don't free items before
    passing them to g_slist_remove.
  * debian/patches/114-fix-background-pixmap-depth.patch: Don't hardcode
    background pixmap depth

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 13 Sep 2011 09:46:12 -0400

xchat-gnome (1:0.30.0~git20100421.29cc76-1ubuntu5) oneiric; urgency=low

  * debian/patches/108-userlist-default-width.patch: make sure the userlist
    in the main window has a reasonable width by default. (LP: #828788)
  * debian/patches/109-use-scrollback-timestamps.patch: use actual
    timestamps when loading scrollback files. (LP: #834816)
  * debian/patches/110-fix-fd-leak.patch: fix a file handle leak.
    (LP: #829009)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 07 Sep 2011 14:48:47 -0400

xchat-gnome (1:0.30.0~git20100421.29cc76-1ubuntu4) oneiric; urgency=low

  * Cherrypick various fixes from xchat tree:
    - 100-Zero-out-passwords-upon-exit.patch
    - 102-Drop-IPV6-servers.patch
      (LP: #127616)
    - 104-Don-t-crash-if-servlist-is-undefined.patch
    - 105-Use-u-instead-of-s.patch
    - 106-ensure-an-empty-string-at-index-32-for-cmd_deop-etc.patch
    - 107-fix-permissions-on-creating-files.patch
  * Cherrypick irc server list updates
    - 101-Sync-in-servers-from-xchat.patch: From xchat upstream
      (LP: #398664)
    - 103-Add-chillfactory-irc-servers.patch: From xchat Debian

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 11 Aug 2011 17:03:31 -0700

xchat-gnome (1:0.30.0~git20100421.29cc76-1ubuntu3) oneiric; urgency=low

  * debian/patches/53_new_nm_api.patch: fix compatibility with new
    network manager API.
  * debian/patches/52_no_zero_width_pixmaps.patch: add back, as upstream
    fix isn't in this git snapshot.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Aug 2011 22:07:43 -0400

xchat-gnome (1:0.30.0~git20100421.29cc76-1ubuntu2) oneiric; urgency=low

  [ Jorge Castro ]
  * Recommend xchat-gnome-indicator to get Unity integration (LP: #790821)

  [ Mathieu Trudel-Lapierre ]
  * debian/control: add Replaces: to xchat-gnome for xchat-gnome-common missing
    from the previous upload, due to the move of xchat-gnome.desktop.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 05 Jul 2011 14:58:36 -0400

xchat-gnome (1:0.30.0~git20100421.29cc76-1ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable, remaining changes: (LP: #773847)
    - debian/control:
      - add Build-Depends on liblaunchpad-integration-dev.
      - xchat-gnome Suggests: xchat-gnome-indicator.
    - debian/patches/02_lpi.patch: add Launchpad integration items to the help
      menu
    - debian/patches/10_xchat-gnome-close-event.patch: add events for window
      close.
    - debian/patches/04_autojoin_ubuntu_chan.patch: add the Ubuntu network
      as default selection and default to autojoining #ubuntu.
    - debian/patches/20_add_gui_focus.patch: implement GUI focus from XChat.
    - debian/patches/51_freenode_default_port_8001.patch: Drop ports 666x
      for FreeNode to workaround a possible DCC exploit.
    - debian/patches/95_apturl-support.patch: support apt://-urls.
    - debian/watch: also look for unstable versions
    - debian/xchat-gnome.gconf-defaults: Set the default enabled plugins,
      indicator, netmonitor, and notifyosd.
  * debian/patches/52_no_zero_width_pixmaps.patch: dropped, applied upstream.
  * debian/patches/98_ice_depends_for_eggsmclient.patch: replaced by
    01_link_libice.patch.
  * debian/control: remove duplicate entry in Build-Depends for intltool.
  * debian/xchat-gnome.install: also install the xchat-gnome.desktop file from
    /usr/share/applications in xchat-gnome rather than xchat-gnome-common.
    (LP: #374686)
  * debian/rules: update the xchat-gnome-common binary-install target to not
    keep a duplicate copy of the xchat-gnome.desktop file.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 05 Jul 2011 12:27:58 -0400

xchat-gnome (1:0.30.0~git20100421.29cc76-1) unstable; urgency=low

  * New upstream git snapshot.
    + Correctly links to libm and libX11. Closes: #556693.
  * Switch to 3.0 source format.
  * Use autogen.sh, build-depend on the autotools.
  * Update build-dependencies.
  * Drop all patches, they are included now.
  * 01_link_libice.patch: new patch. Correctly link to libICE.
  * Fix long description.
  * 02_libnotify_compat.patch: new patch. Support libnotify 0.5 
    correctly.
  * 03_dcc_window.patch: new patch. Don’t set the DCC window visible 
    upon startup.

 -- Josselin Mouette <joss@debian.org>  Fri, 22 Apr 2011 00:02:36 +0200

xchat-gnome (1:0.26.1+git20101206.557c940-0ubuntu6) oneiric; urgency=low

  [ Jeremy Nickurak ]
  * debian/patches/10_xchat-gnome-close-event.patch: add events for window
    close, LP: #722739

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 14 Mar 2011 12:22:59 -0500

xchat-gnome (1:0.26.1+git20101206.557c940-0ubuntu5) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 08 May 2011 13:43:36 +0100

xchat-gnome (1:0.26.1+git20101206.557c940-0ubuntu4) natty; urgency=low

  * Fix LP: #767087 - Don't try to create zero-width pixmaps, as this fills
    ~/.xsession-errors up with Gdk-CRITICAL errors
    - add debian/patches/52_no_zero_width_pixmaps.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 20 Apr 2011 12:54:29 +0100

xchat-gnome (1:0.26.1+git20101206.557c940-0ubuntu3) natty; urgency=low

  * debian/control.in
    - Added a suggests for xchat-gnome-indicator
  * debian/xchat-gnome.gconf-defaults
    - Set the default enabled plugins, indicator, netmonitor, and notifyosd

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 11 Feb 2011 10:47:03 -0500

xchat-gnome (1:0.26.1+git20101206.557c940-0ubuntu2) natty; urgency=low

  * debian/control:
    - Build-depend on gnome-common

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 05 Jan 2011 09:45:57 +1100

xchat-gnome (1:0.26.1+git20101206.557c940-0ubuntu1) natty; urgency=low

  * debian/control:
    - Use standards version 3.9.1
  * debian/source:
    - Use source version 3.0
  * debian/rules:
    - Don't use simple-patchsys.mk

  [ Mathieu Trudel-Lapierre ]
  * New upstream snapshot from Git: 2010-12-06, rev 557c940.
  * debian/control{,.in}:
    - Drop Build-Depends on libgnome, libgnomeui, since they are no longer
      required by configure.
  * debian/control{,.in}:
    - Add Build-Depends on libsm-dev >= 1.0.0, new dependency introduced in
      0.26.2.
  * debian/patches/10_obey_nick_suffix.patch:
  * debian/patches/11_topic_return.patch:
  * debian/patches/21_add_gui_info_ptr.patch:
    - Dropped, applied upstream.
  * debian/patches/50_serverlist_update.patch:
    - Dropped, applied upstream. The freenode port changes are split to
      51_freenode_default_port_8001.patch.
  * debian/patches/51_freenode_default_port_8001.patch:
    - Avoid connecting to ports in the 6660-6669 range for Freenode to
      workaround an old DCC exploit.
  * debian/patches/98_autoconf.patch:
    - Not required with dh-autoreconf
  * debian/rules:
    - Run dh_autoreconf to take into account build process changes
      for the various patches (and also because a snapshot from git is not
      configured yet).
  * debian/control{,.in}:
    - Add Build-Depends on dh-autoreconf for the added call to dh_autoreconf.
  * debian/control{,.in}:
    - Change libnotify build-depends to libnotify4-dev (>= 0.7.0) so that the
      notify-osd plugin will build properly (the NOTIFY_CHECK_VERSION macro
      isn't available otherwise).
  * debian/patches/98_ice_depends_for_eggsmclient.patch:
    - Add missing ice dependency for the egg_smclient parts, which will allow
      linking to succeed.

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 04 Jan 2011 18:03:09 +1100

xchat-gnome (1:0.26.1-3) unstable; urgency=low

  * Update description, based on an Ubuntu patch. Closes: #590238.
  * Pick some patches from upstream git.
    + 01_reduce_wakeups.patch: trivial change to limit the number of 
      wakeups.
    + 02_auto_back.patch: use /back instead of /away to mark the user as 
      back.
    + 03_topic_return.patch: replaces 11_topic_return.patch.
    + 04_crasher_autojoin.patch: fix crasher when the autojoin list is 
      empty. Closes: #524410.
    + 05_nick_suffix.patch: replace 10_obey_nick_suffix.patch.
    + 06_freenode_servers.patch, 06_oz.org_servers.patch: replace
      50_serverlist_update.patch.
    + 07_crasher_null.patch: fix null pointer dereference.
      - 07_crasher_null_fix.patch: fix regression introduced by this 
        patch.
    + 08_dcc_transfers.patch: get DCC transfers to work on fresh 
      installs.

 -- Josselin Mouette <joss@debian.org>  Sun, 31 Oct 2010 11:08:23 +0100

xchat-gnome (1:0.26.1-2) unstable; urgency=low

  * Add references in patches.
  * Add missing build-dependency on docbook-xml. Closes: #586545.

 -- Josselin Mouette <joss@debian.org>  Sat, 26 Jun 2010 09:40:05 +0200

xchat-gnome (1:0.26.1-1ubuntu3) maverick; urgency=low

  * Update description (LP: #596022)

 -- K. Vishnoo Charan Reddy <vish@ubuntu.com>  Sun, 25 Jul 2010 14:50:18 +0530

xchat-gnome (1:0.26.1-1ubuntu2) lucid; urgency=low

  * debian/patches/21_add_gui_info_ptr.patch
    - implemented win_ptr, returns a pointer to the gtk window (LP: #503665)
  * debian/patches/20_add_gui_focus.patch
    - implemented GUI FOCUS (LP: #503666)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 05 Jan 2010 21:50:18 -0500

xchat-gnome (1:0.26.1-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #387256)
    - debian/control{.in}
      - build-dep on liblaunchpadintegration-dev
    - debian/watch
      - also look for unstable versions
    - debian/patches
      - add 01_lpi.patch - provide Launchpad-Integration
      - add 04_autojoin_ubuntu_chan.patch
      - add 95_apturl-support.patch - support apt://-urls
      - add 98_autoconf.patch - autoconf update

 -- Andreas Moog <amoog@ubuntu.com>  Mon, 15 Jun 2009 13:07:41 +0200

xchat-gnome (1:0.26.1-1) unstable; urgency=low

  [ Luca Bruno ]
  * New upstream release
    - Set the plugin context for the notification. Closes: #436084

  [ Josselin Mouette ]
  * 10_obey_nick_suffix.patch: new patch. Obey the configured 
    completion_suffix (which is a comma by default in the shipped 
    configuration) when autocompleting nicknames.
  * 11_topic_return.patch: new patch. Don’t cut the topic at the cursor 
    position when pressing return in the topic dialog.

 -- Josselin Mouette <joss@debian.org>  Sat, 13 Jun 2009 14:14:20 +0200

xchat-gnome (1:0.26.1-0ubuntu1) jaunty; urgency=low

  * New upstream release: (LP: #360428)
    - Translation updates
  * debian/control.in:
    - add Vcs-Bzr tag
    - re-generate debian/control
  * Adapt debian/watch to new GNOME path

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Apr 2009 12:48:03 +0200

xchat-gnome (1:0.26.0-0ubuntu2) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2009 16:52:49 +0100

xchat-gnome (1:0.26.0-0ubuntu1) jaunty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Mar 2009 11:07:31 +0100

xchat-gnome (1:0.24.3.1-1) unstable; urgency=low

  * Set the team as primary maintainer. Closes: #523544.
  * New upstream release.
  * Standards version is 3.8.1.

 -- Josselin Mouette <joss@debian.org>  Sat, 11 Apr 2009 00:24:02 +0200

xchat-gnome (1:0.24.3.1-0ubuntu1) jaunty; urgency=low

  * New upstream version (LP: #318012)
    - Bug fix (#565958).
    - Updated translations.
  * Update of debian/patches/98_autoconf.patch.

 -- Christophe Sauthier <christophe.sauthier@gmail.com>  Fri, 16 Jan 2009 18:49:03 +0100

xchat-gnome (1:0.24.1-1) experimental; urgency=low

  [ Luca Bruno ]
  * New upstream release
  * Removed patches as they're applied in upstream:
    - debian/patches/50_fix_color_codes.patch
    - debian/patches/50_fix_file_set_signal_connect.patch
    - debian/patches/50_from_svn_fix_italian_translation.patch
    - debian/patches/65_implicit-pointer-conversion-gettext.patch
    - debian/patches/80_fix_languages_selection.patch
    - debian/patches/81_no_translation_informations_in_query.patch
    - debian/patches/90_from_svn_fix_away_back_command.patch
  * debian/control.in BuildDepend:
    - increase version on libgtk2.0-dev (>= 2.14.0),
      libglib2.0-dev (>= 2.18.0) and libglade2-dev (>= 2.3.2)
    - remove libgnomevfs2-dev
    - added libcanberra-gtk-dev (>= 0.3)
    - added intltool (>= 0.35.0)
  * debian/copyright:
    - note src/libcontrast/contrast.{c,h} are MIT/X11 licensed

  [ Emilio Pozuelo Monfort ]
  * Remove libxml-parser-perl build-dependency, not needed anymore.
  * Fix watch file.

  [ Loic Minier ]
  * Use GNOME FTP in copyright and for gnome-get-source.mk -- consistent with
    watch file.

 -- Luca Bruno <lethalman88@gmail.com>  Sat, 06 Dec 2008 09:39:55 +0100

xchat-gnome (1:0.24.1-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #286597)
    - Updated icons
    - Updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 20 Oct 2008 22:08:40 +0200

xchat-gnome (1:0.24.0-0ubuntu1) intrepid; urgency=low

  * New upstream release: (LP: #273328)
    - Bug fixes (#431785, #551515)
    - Translation updates
  * debian/patches:
    - Remove 90_configure_ac.patch, merged upstream
    - Updated 98_autoconf.patch to apply cleanly
    - Added 95_apturl-support.patch for apturl integration (LP: #217611)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Mon, 22 Sep 2008 23:26:43 +0200

xchat-gnome (1:0.23.92-0ubuntu1) intrepid; urgency=low

  * New Upstream release (LP: #268079)
    - Lots of bugfixes.
    - Ported to GIO.
  * debian/control.in:
    - added Build-Depends on libcanberra-gtk-dev version 0.3
    - updated Build-Depends on libglade2-dev to version 2.3.2
    - updated Build-Depends on libgtk-2.0-dev to version 2.14.0
    - updated Build-Depends on libglib2.0-dev to version 2.18.0
    - dropped Build-Depends on libgnomevfs-dev (no longer used)
  * debian/patches:
    - added 90_configure_ac.patch:
        - patch to configure.ac to correctly build all plugins
    	  (Sebastien Bacher)
    - these are merged upstream:
    - dropped 50_fix_color_codes.patch
    - dropped 50_fix_file_signal_connect.patch
    - dropped 50_from_svn_fix_italian_translation.patch
    - dropped 65_implicit-pointer-conversion-gettext.patch
    - dropped 80_fix_languages_selection.patch
    - dropped 81_no_translation_informations_in_query.patch
    - dropped 90_from_svn_fix_away_back_command.patch

 -- Andreas Moog <andreas.moog@warperbbs.de>  Tue, 09 Sep 2008 12:48:28 +0200

xchat-gnome (1:0.18-3ubuntu2) intrepid; urgency=low

  * debian/patches/90_from_svn_fix_away_back_command.patch
    - Updated patch to svn 2630. Maintains away fix and adds some
      variable decleration movement to allow return from function
      on_nickname_clicked if session is NULL prior to any further
      processing.

 -- Philip Wyett <philwyett@gmx.com>  Wed, 27 Aug 2008 12:57:37 +0100

xchat-gnome (1:0.18-3ubuntu1) intrepid; urgency=low

  * Sync on Debian
  * debian/control.in:
    - Build-Depends on liblaunchpad-integration-dev
  * debian/patches/02_lpi.patch
    - launchpad integration
  * debian/patches/04_autojoin_ubuntu_chan.patch
    - join ubuntu support chan at start
  * debian/patches/98_autoconf.patch
    - launchpad integration 

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 14 Aug 2008 10:00:10 +0200

xchat-gnome (1:0.18-3) unstable; urgency=low

  * debian/copyright:
    - updated Copyright to reflect AUTHORS.
    - added a valid Copyright period.
  * debian/control.in:
    - don't depend on a specific version of libssl.
    - updated to Standards-Version: 3.8.0.
    - remove scrollkeeper dependency, it's disabled in configure.
  * debian/rules:
    - remove the empty usr/man/ dir in xchat-gnome-common.
  * debian/xchat-gnome.menu:
    - updated to the new menu policy.
  * debian/patches/*:
    - updated paths to be usable from the top dir with -p1.
    - add descriptions taken from debian/changelog.
  * debian/patches/50_serverlist_update.patch:
    - new patch, imported from ubuntu.
    - modify default port for irc.freenode.com to 8001 to prevent dcc exploit.
    - fix Oz.net servers list wrongly referring to OzNet (LP: #146434).
  * debian/patches/50_fix_color_codes.patch:
    - new patch, imported from ubuntu.
    - Add ^C instead of %C for irc color codes (LP: #155543).
      Thanks Aaron Haviland <orion@parsed.net> for the patch
  * debian/patches/50_fix_file_set_signal_connect.patch:
    - new patch, fixes the preferences dialog connecting on the wrong signal
      and hence eating all the cpu and memory, closes: #476762.
  * debian/patches/50_from_svn_fix_italian_translation.patch:
    - new patch from SVN to fix a bad string in italian translation that was
      causing a crasher, closes: #456171.
  * debian/patches/90_from_svn_fix_away_back_command.patch:
    - updated, rename a clashing variable 'away' to 'away_state' as it was
      conflicting with a widget, closes: #455699.

 -- Diego Escalante Urrelo <dieguito@gmail.com>  Tue, 12 Aug 2008 20:24:18 -0500

xchat-gnome (1:0.18-2) unstable; urgency=low

  * All patches in this release were taken from the Ubuntu package.
  * debian/patches/80_fix_languages_selection.patch:
    - correctly update the languages list when selecting one
  * debian/patches/81_no_translation_informations_in_query.patch:
    - don't display translation informations when a query tab is opened
  * debian/patches/90_from_svn_fix_away_back_command.patch:
    - patch from SVN, returning from away should use the back command

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 05 Dec 2007 00:48:49 +0100

xchat-gnome (1:0.18-1) unstable; urgency=low

  * New upstream release.
  * Patches:
    - 60_fix-xml-override: dropped
    - 65_implicit-pointer-conversion-gettext: updated

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 25 Sep 2007 17:50:49 +0200

xchat-gnome (1:0.17-2) unstable; urgency=low

  * Remove duplicate libglib2.0-dev build-dep.
  * New patch, 65_implicit-pointer-conversion-gettext, fixes a couple of
    implicit pointer conversion for the _() gettext function; thanks
    Dann Frazier for the report; note: a different fix thant the proposed
    patch was used; GNOME #447453; closes: #428459.

 -- Loic Minier <lool@dooz.org>  Thu, 14 Jun 2007 11:52:40 +0200

xchat-gnome (1:0.17-1) unstable; urgency=low

  [ Sven Arvidsson ]
  * Update xchat-gnome-common to include etc, makes sure the gconf schemas
    are included (Closes: #412035)

  [ Loic Minier ]
  * Add missing build-deps on libglib2.0-dev (>= 2.12.0), libgnome2-dev
    (>= 2.16.0).
  * Bump up build-deps to libglade2-dev >= 2.3.0, libgconf2-dev >= 2.8.0.
  * Update URL in copyright.
  * Wrap build-deps and deps.
  * Pass --as-needed via LDFLAGS instead of CFLAGS; build-dep on cdbs >=
    0.4.41.
  * Cleanups.
  * New upstream release.
    - Bump up libsexy-dev build-dep to 0.1.11.
  * Don't build out of tree as if fails with the current gnome-doc-utils
    upstream uses; closes: #420322.
  * Include CDBS' utils.
  * New patch, 60_fix-xml-override, fixes local override of Glade xml var; no
    idea how this could work without this fix; GNOME #446287.

 -- Loic Minier <lool@dooz.org>  Mon, 11 Jun 2007 11:49:13 +0200

xchat-gnome (1:0.16-1) experimental; urgency=low

  [ Marco Cabizza ]
  * New upstream release:
    - remove debian/xchat-gnome.1 as it's merged upstream, and fix
      some things [debian/rules]
  
  [ Loic Minier ]
  * Add a get-orig-source target to retrieve the upstream tarball.

 -- Marco Cabizza <marco87@gmail.com>  Mon, 15 Jan 2007 22:25:45 +0100

xchat-gnome (1:0.15-1) experimental; urgency=low

  * New upstream release (Closes: #396009, #396010):
    - updated dependencies (target experimental) [control, control.in]
    - fixes many bugs, including the conflict with the main clipboard
      (Closes: #404736)
    
 -- Marco Cabizza <marco87@gmail.com>  Wed,  1 Nov 2006 14:30:37 +0100

xchat-gnome (1:0.13-1) unstable; urgency=low

  * New upstream release:
    - fixes the command completion crash (Closes: #377133)
    - fixes the keyed channels autojoining issue
  * Added a Debian menu entry (Closes: #382823)
  * Build-depend on libssl-dev

 -- Marco Cabizza <marco87@gmail.com>  Thu, 10 Aug 2006 17:58:49 +0200

xchat-gnome (1:0.12-2) unstable; urgency=low

  * Add exemption to debian/copyright from COPYING to allow SSL support

 -- Marco Cabizza <marco87@gmail.com>  Fri, 30 Jun 2006 18:43:28 +0200

xchat-gnome (1:0.12-1) unstable; urgency=low

  * New upstream release: forking off Ubuntu, first Debian release
    (Closes: #258268)
  * Fixed libsexy dependency to 0.1.7 according to configure.ac
  * 02_lpi.patch, 03_autoconf.patch: dropped, Debian doesn't include LPI
  * Added two manpages [xchat-gnome.1, xchat-gnome-remote.1]
  * Standards-Version is 3.7.2, debhelper compat is 5
  * Created xchat-gnome-common package for the arch-indep files

 -- Marco Cabizza <marco87@gmail.com>  Wed,  7 Jun 2006 15:09:01 +0200

xchat-gnome (0.10-0ubuntu2) dapper; urgency=low

  * debian/rules: Add -Wl,--as-needed to CFLAGS to get rid of a lot of useless
    dependencies (amongst them libgnutls11).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  2 Mar 2006 16:42:38 +0100

xchat-gnome (0.10-0ubuntu1) dapper; urgency=low

  * New upstream version:
    - Add a sound notification plugin
    - Session management improvements 
    - Minor UI polish
    - A huge slew of bug-fixes
    - fix the crash with discussion,find menu item (Ubuntu: #31510)
    - fix the help menu item (Ubuntu: #32137)
    - make change to away clear (Ubuntu: #31470)
    - fix the icon used on highlight (Ubuntu: #30644)
    - use window list task animation (Ubuntu: #28391)
    - right click has a copy menu item (Ubuntu: #29587)
  * debian/control:
    - Build-Depends on gnome-doc-utils according to configure requirement
  * debian/patches/01_chans_autoconnect.patch:
    - fixed with the new version
  * debian/patches/03_autoconf.patch:
    - updated
  * debian/patches/04_libnotify_api_update.patch:
    - fixed with the new version
  * debian/patches/05_notify_osd_escape_text.patch:
    - fixed with the new version
  * debian/rules:
    - don't build,ship scrollkeeper autogenerated files with the package

 -- Sebastien Bacher <seb128@canonical.com>  Fri, 24 Feb 2006 14:51:47 +0100

xchat-gnome (0.9-0ubuntu5) dapper; urgency=low

  * debian/patches/05_notify_osd_escape_text.patch:
    - escape the message before sending it via libnotify (gnome: #328445)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Jan 2006 17:41:15 +0100

xchat-gnome (0.9-0ubuntu4) dapper; urgency=low

  * debian/patches/04_libnotify_api_update.patch:
    - updated for the new libnotify API
  * debian/control:
    * build with the new libnotify package

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 24 Jan 2006 16:15:30 +0100

xchat-gnome (0.9-0ubuntu3) dapper; urgency=low

  * debian/control:
    - Build-Depends on liblaunchpad-integration-dev

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 23 Jan 2006 10:38:23 +0100

xchat-gnome (0.9-0ubuntu2) dapper; urgency=low

  * debian/patches/01_chans_autoconnect.patch:
    - patch from the CVS, fix the chans autoconnection (Ubuntu: #29288)
  * debian/patches/02_lpi.patch,
    debian/patches/03_autoconf.patch:
    - changes for launchpad integration
  
 -- Sebastien Bacher <seb128@canonical.com>  Mon, 23 Jan 2006 00:12:23 +0100

xchat-gnome (0.9-0ubuntu1) dapper; urgency=low

  * New upstream version:
    - Implement channel list filtering 
    - Update notify-osd plugin for libnotify >=0.3
    - Add UI for setting nickserv auto-identify password 
    - Cooler plugins preferences
    - Lots and lots of bug-fixes and minor improvements
  * debian/control.in:
    - Build-Depends on libssl-dev, upstream updated the copyright for that
  * debian/patches/notify.patch:
    - fixed with the new version
  * debian/patches/ssl_build_fix.patch:
    - fixed with the new version

 -- Sebastien Bacher <seb128@canonical.com>  Fri, 20 Jan 2006 21:25:55 +0100

xchat-gnome (0.8-0ubuntu4) dapper; urgency=low

  * debian/control:
    - build with the new libnotify
  * debian/patches/notify.patch:
    - patch from bugzilla, update for the new libnotify API

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 10 Jan 2006 11:46:13 +0100

xchat-gnome (0.8-0ubuntu3) dapper; urgency=low

  * debian/control:
    - remove the useless Build-Depends on libzvt2.0-dev

 -- Sebastien Bacher <seb128@canonical.com>  Sat,  7 Jan 2006 16:00:46 +0100

xchat-gnome (0.8-0ubuntu2) dapper; urgency=low

  * debian/patches/ssl_build_fix.patch:
    - make the ssl build option work correctly

 -- Sebastien Bacher <seb128@canonical.com>  Wed, 21 Dec 2005 11:11:19 +0100

xchat-gnome (0.8-0ubuntu1) dapper; urgency=low

  * New upstream version:
    - New pop-up userlist
    - New, relatively sane build-system
    - Translation support 
    - Translations 
    - various and sundry bugfixes
  * debian/control.in:
    - don't Build-Depends on dbus-1-utils
    - build with dbus 0.60
  * debian/patches/fix-for-new-gtk.patch:
    - fixed with the new version
  * debian/rules:
    - cleanup of the package and the configure options for the new build system

 -- Sebastien Bacher <seb128@canonical.com>  Wed, 21 Dec 2005 00:46:31 +0100

xchat-gnome (0.7-0ubuntu4) dapper; urgency=low

  * debian/patches/fix-for-new-gtk.patch:
    - fixes a crasher with the new GTK

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 13 Dec 2005 01:29:54 +0100

xchat-gnome (0.7-0ubuntu3) dapper; urgency=low

  * debian/control:
    - Build-Depends on libnotify-dev libsexy-dev

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 12 Dec 2005 14:14:10 +0100

xchat-gnome (0.7-0ubuntu2) dapper; urgency=low

  * debian/control:
    - Build-Depends on scrollkeeper to fix the current FTBFS.

 -- Sebastien Bacher <seb128@canonical.com>  Fri, 25 Nov 2005 14:46:06 +0100

xchat-gnome (0.7-0ubuntu1) dapper; urgency=low

  * New upstream version:
    - Added a help document 
    - Add background preferences
    - Add a plugin which intelligently disconnects/reconnects based on
      network connection status via NetworkManager 
    - Add an "OSD" plugin, which pops up important messages with libnotify
    - Implement "Save Transcript" 
    - Add a plugin which sets away status based on screensaver state 
    - various and sundry bugfixes

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 24 Nov 2005 18:57:57 +0100

xchat-gnome (0.6-0ubuntu2) dapper; urgency=low

  * debian/control:
    - Build-Depends on libtool, dbus-1-utils..

 -- Sebastien Bacher <seb128@canonical.com>  Fri,  4 Nov 2005 12:03:32 -0500

xchat-gnome (0.6-0ubuntu1) dapper; urgency=low

  * New upstream version.
    - Set up a gnome url handler for irc:// links
    - Add "ignore" to the user context menu
    - Add autoconnect and autojoin options in context menus
    - Add nickname change dialog when clicking on the nick on the left of 
      the input bar
    - Add text and files drag and drop support
    - Beginnings of command completion
  * debian/control.in:
    - Build-Depends on the libdbus-glib-1-dev package.

 -- Sebastien Bacher <seb128@canonical.com>  Tue,  1 Nov 2005 17:26:16 -0500

xchat-gnome (0.5-0ubuntu2) breezy; urgency=low

  * debian/rules: removed xchat.desktop and xchat.png cause it points to real
    xchat from main. (Closes: Malone #2167)

 -- Stephan Hermann <sh@sourcecode.de>  Sat, 17 Sep 2005 11:37:32 +0200

xchat-gnome (0.5-0ubuntu1) breezy; urgency=low

  * New upstream version.
  * debian/control:
    - updated the Build-Depends.

 -- Sebastien Bacher <seb128@canonical.com>  Wed, 14 Sep 2005 12:34:42 +0200

xchat-gnome (0.4-0ubuntu4) breezy; urgency=low

  * Rebuild again to rid us of the unwanted libglitz dependency.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 30 Aug 2005 06:09:08 +1000

xchat-gnome (0.4-0ubuntu3) breezy; urgency=low

  * Rebuild with the new cairo version

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 18 Aug 2005 17:23:36 +0000

xchat-gnome (0.4-0ubuntu2) breezy; urgency=low

  * debian/control:
    - fixed the Build-Depends.

 -- Sebastien Bacher <seb128@canonical.com>  Fri, 12 Aug 2005 14:55:12 +0200

xchat-gnome (0.4-0ubuntu1) breezy; urgency=low

  * Initial package.

 -- Sebastien Bacher <seb128@canonical.com>  Sun, 24 Jul 2005 14:17:00 +0200

